from api_events.tasks2events.default_abstract import AddEventFunctionality


class BuildMeetingVotedPresident(AddEventFunctionality):
    service_code = "SRO-MT-VPR"
    related_code = "MT-VPR"
    events = [
        {"function_code": "eb36de59-8268-4d96-80b6-5d01c12bf0b1"},
    ]

    def __new__(cls, *args, **kwargs):
        return super().retrieve_events(cls.events)
